#include "applepushnotifications.h"

ApplePushNotifications::ApplePushNotifications()
{
    mInstance = IosDeviceTokenStorage::getInstance();
    mNotificationInstance = IosNotificationReceiver::getInstance();
    connect(mInstance, &IosDeviceTokenStorage::tokenReceived, this, &ApplePushNotifications::receiveToken);
    connect(mNotificationInstance, &IosNotificationReceiver::messageReceived, this, &ApplePushNotifications::receiveMessage);
}

void ApplePushNotifications::receiveMessage(QString pServer, QString pRid, QString pName, QString pType)
{
    emit messageReceived(pServer,pRid,pName,pType);
}

void ApplePushNotifications::receiveToken(){
    QString newToken = mInstance->getToken();
    if (newToken != ""){
        mToken = newToken;
        emit tokenReceived(newToken);
    }
}

void ApplePushNotifications::registerWithService(){
    if(mInstance->getToken() != ""){
        receiveToken();
    }
}
